@using Wrnu.Were.Model
<h3>@topic</h3>

<ListGroup Flush>
    @foreach (var extendedSummary in summaries)
    {
        <ListGroupItem>
            <Div Flex="Flex.JustifyContent.Between.AlignItems.Center" Width="Width.Is100">
                <Heading Margin="Margin.Is1.FromBottom">@extendedSummary.Name</Heading>
                <Badge Color="Color.Primary" Pill>@extendedSummary.votes</Badge>
            </Div>
        
            <Paragraph Margin="Margin.Is1.FromBottom">@extendedSummary.voters</Paragraph>
        </ListGroupItem>
    }
</ListGroup>


@code {

    [Parameter]
    public List<VoteSummary> summaries { get; set; } = new ();

    [Parameter]
    public string topic { get; set; } = "Röst";

}